Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.portal.callback
Class UserNameCallback

    java.lang.Object
      com.axeda.esrs.portal.callback.UserNameCallback

All Implemented Interfaces:
  AxedaCallback

    public class UserNameCallback

extends java.lang.Object
implements AxedaCallback

User: kholbrook Date: Apr 9, 2009 Time: 11:10:41 AM The UserNameCallback is used to retrieve the username from the current session via an EMC authored mechanism

Field Summary
`java.lang.String[]` | `options`
`java.lang.String[]` | `responses`

Fields inherited from interface com.axeda.esrs.portal.callback.AxedaCallback
`DEVICE_TYPE, GAS_CONFIGURATION_TYPE, GATEWAY_CLUSTER_TYPE, MODELNAME_TRANSLATION_PASSWORD_TYPE, REGISTRATION_TYPE, RESPONSE_FAIL, RESPONSE_OK, USERNAME_TYPE, WEBSERVICES_PASSWORD_TYPE`

Constructor Summary
`UserNameCallback()`

Method Summary
`java.lang.String[]` | `getOptions()` Get the set of options which have been set
`java.lang.String[]` | `getResponses()` Get the array of responses from the CallbackHandler
`int` | `getType()`
`void` | `setOptions(java.lang.String[] options)` Set the options which will be read by the Callback Handler
`void` | `setResponses(java.lang.String[] responses)` Set the responses based on the handling of the Callback.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### options

    public java.lang.String[] options

### responses

    public java.lang.String[] responses

Constructor Detail

### UserNameCallback

    public UserNameCallback()

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in interface `AxedaCallback`

### setOptions

    public void setOptions(java.lang.String[] options)

  Set the options which will be read by the Callback Handler

  Specified by:
    `setOptions` in interface `AxedaCallback`
  Parameters:
    `options` - The array of String options being passed to the CallbackHandler, i.e. Username, Device_id

### getOptions

    public java.lang.String[] getOptions()

  Get the set of options which have been set

  Specified by:
    `getOptions` in interface `AxedaCallback`
  Returns:
    The array of String options. Called by the CallbackHandler

### setResponses

    public void setResponses(java.lang.String[] responses)

  Set the responses based on the handling of the Callback.

  Specified by:
    `setResponses` in interface `AxedaCallback`
  Parameters:
    `responses` - The array of String responses from the

### getResponses

    public java.lang.String[] getResponses()

  Get the array of responses from the CallbackHandler

  Specified by:
    `getResponses` in interface `AxedaCallback`
  Returns:
    The array of String responses from the CallbackHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD